lua-ldap_1.1.0-1-geeac494-6_amd64.deb


Advertisement

Description

lua-ldap - LDAP library for the Lua language

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name lua-ldap
Package version 1.1.0
Package release 1-geeac494-6
Package architecture amd64
Package type deb
Installed size 66 B
Download size 10.23 KB
Official Mirror ftp.br.debian.org
This package contains the Lua LDAP library to:
* Connect to an LDAP server (OpenLDAP or ADSI/WinLDAP);
* Execute any operation (search, add, compare, delete, modify
and rename);
* Retrieve entries and references of the search result.
This package contains the runtime library.

Alternatives

Package Version Architecture Repository
lua-ldap_1.1.0-1-geeac494-6_i386.deb 1.1.0 i386 Debian Main
lua-ldap - - -

Requires

Name Value
libc6 >= 2.4
libldap-2.4-2 >= 2.4.7
multiarch-support -

Provides

Name Value
lua5.1-ldap -

Download

Type URL
Binary Package lua-ldap_1.1.0-1-geeac494-6_amd64.deb
Source Package lua-ldap

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lua-ldap deb package:
    # sudo apt-get install lua-ldap

Files

Path
/usr/lib/x86_64-linux-gnu/liblua5.1-ldap.so.0
/usr/lib/x86_64-linux-gnu/liblua5.1-ldap.so.0.0.0
/usr/lib/x86_64-linux-gnu/lua/5.1/lualdap.so
/usr/share/doc/lua-ldap/changelog.Debian.gz
/usr/share/doc/lua-ldap/copyright

Changelog

2014-08-30 - Enrico Tassi <gareuselesinge@debian.org>
lua-ldap (1.1.0-1-geeac494-6) unstable; urgency=medium
* Rebuild against Lua 5.1.5-7 (Closes: #723490)
2014-01-02 - Luca Capello <luca@pca.it>
lua-ldap (1.1.0-1-geeac494-5) unstable; urgency=low
* debian/control:
+ Standards-Version to 3.9.5.
+ add '-b debian' to Vcs-Git.
* debian/patches/series,
debian/patches/define_ldap_deprecated.diff:
+ fix implicit pointer conversion on amd64, thanks to Michael
Biena <geser@ubuntu.com> and Micah Gersten <micahg@ubuntu.com>
(Closes: #722175).
2013-06-23 - Enrico Tassi <gareuselesinge@debian.org>
lua-ldap (1.1.0-1-geeac494-4) unstable; urgency=low
[ Luca Capello ]
* debian/copyright:
+ add comment about the fact that the Lua community prefers to
call the license "MIT", see #670760.
[ Enrico Tassi ]
* Fix FTBFS (Closes: #713467)
2012-05-06 - Luca Capello <luca@pca.it>
lua-ldap (1.1.0-1-geeac494-3) unstable; urgency=low
* debian/control:
+ Maintainer: is <pkg-lua-devel@alioth.lists.debian.org>.
+ move myself to Uploaders:.
2012-04-30 - Luca Capello <luca@pca.it>
lua-ldap (1.1.0-1-geeac494-2) unstable; urgency=low
[ Enrico Tassi ]
* debian/control:
+ move to collab-maint.
* debian/watch:
+ adapt to GitHub downloads.
[ Luca Capello ]
* debian/copyright:
+ add Enrico Tassi for the debian/* files.
2012-04-29 - Luca Capello <luca@pca.it>
lua-ldap (1.1.0-1-geeac494-1) unstable; urgency=low
* Initial release (Closes: #670549).

See Also

Package Description
lua-ldoc_1.4.2-1_all.deb LuaDoc-compatible documentation generation system
lua-leg-dev_0.1.3-1_all.deb Leg development files for the Lua language
lua-leg_0.1.3-1_all.deb Lua 5.1 grammar, with parsing and manipulation facilities
lua-lemock-dev_0.6-1_all.deb LeMock (Lua Easy Mock) for unit test
lua-lemock_0.6-1_all.deb LeMock (Lua Easy Mock) for unit test
lua-lgi-dev_0.8.0-2_amd64.deb lgi development files for the Lua language
lua-lgi_0.8.0-2_amd64.deb Lua bridge to GObject based libraries
lua-logging_1.3.0-1_all.deb Logging library for the Lua language
lua-lpeg-dev_0.12-1_amd64.deb LPeg development files for the Lua language
lua-lpeg_0.12-1_amd64.deb LPeg library for the Lua language
lua-lpty-dev_1.0.1-1_amd64.deb PTY library for the Lua language - development files
lua-lpty_1.0.1-1_amd64.deb PTY library for the Lua language
lua-luxio0_8-1_amd64.deb Posix bindings for Lua
lua-markdown_0.32-5_all.deb Pure Lua 5.1 implementation of the Markdown text-to-html markup
lua-md5-dev_1.2+git+1+8d87fee-1_amd64.deb MD5 library for the Lua language
Advertisement
Advertisement